#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x;
    cin>>n>>x;
    int a[n+1]; a[0]=x;
    int br=0;
    for(int i=1;i<n+1; i++){
        cin>>a[i];
        br+=abs(a[i-1]-a[i]);
    }
    cout<<br<<endl;
}